﻿using System.Collections.ObjectModel;

namespace BusinessObject
{
    public class SampleData
    {
        private static ObservableCollection<PlaceItem> _samplePlaceItemCollection;

        public SampleData() { }

        static SampleData() 
        {
            _samplePlaceItemCollection = new ObservableCollection<PlaceItem>();

            PlaceItem ShangHai = new PlaceItem(){ Name="上海市", IsSelected=false};
            ShangHai.Children.Add(new PlaceItem() { Name = "黄浦区", IsSelected = false });
            ShangHai.Children.Add(new PlaceItem() { Name = "闵行区", IsSelected = false });
            ShangHai.Children.Add(new PlaceItem() { Name = "徐汇区", IsSelected = false });

            PlaceItem HuBei = new PlaceItem() { Name = "湖北省" };
            PlaceItem WuHan = new PlaceItem() { Name = "武汉市" };
            WuHan.Children.Add(new PlaceItem() { Name="汉口区" });
            WuHan.Children.Add(new PlaceItem() { Name = "汉阳区" });
            WuHan.Children.Add(new PlaceItem() { Name = "武昌区" });
            HuBei.Children.Add(WuHan);


            HuBei.Children.Add(new PlaceItem() { Name = "孝感市" });


            _samplePlaceItemCollection.Add(ShangHai);
            _samplePlaceItemCollection.Add(HuBei);
        }

        public static ObservableCollection<PlaceItem> SamplePlaceItemCollection
        {
            get {return _samplePlaceItemCollection; }
        }
    }
}
